=== debian/changelog ===
ros-crystal-xacro (2.0.1-1bionic) bionic; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 05 Oct 2019 22:00:00 -0000

ros-crystal-xacro (2.0.0-1bionic) bionic; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Sep 2019 22:00:00 -0000

ros-crystal-xacro (1.13.4-1bionic) bionic; urgency=high

  * [feature] remove xmlns:xacro from processed file (#207 <https://github.com/ros/xacro/issues/207>)
    - Remove all notions of xmlns:xacro from the resulting document.
    - If the root node defines a xacro:targetNamespace attribute, this will become the global xmlns namespace of the resulting document.
  * [feature] Add len() to allowed python functions (#208 <https://github.com/ros/xacro/issues/208>)
  * [maintanence]
    - --in-order warning: reduce severity level to message
    - fix and cleanup test of cmake extensions
    - adapt run_xacro() to run xacro from PATH
    - simplify import of substition_args
    - remove 'requires' field from setup.py
    - fix Travis config: use new repository key, use xenial/kinetic distro
    - basic README.md
    - fix catkin_lint issue
    - remove duplicate catkin_python_setup() (#206 <https://github.com/ros/xacro/issues/206>)
  * Contributors: Robert Haschke, James Xu, Martin Pecka

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 25 Sep 2019 22:00:00 -0000

ros-crystal-xacro (1.13.3-1bionic) bionic; urgency=high

  * use INORDER as default in cmake functions
  * remove weird 'None's in error messages
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Oct 2018 22:00:00 -0000

ros-crystal-xacro (1.13.2-1bionic) bionic; urgency=high

  * deprecate --includes option (which is tied to deprecated --legacy processing)
  * moved all option handling to cli.py, including deprecation warnings for options
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 13 May 2018 22:00:00 -0000

ros-crystal-xacro (1.13.1-1bionic) bionic; urgency=high

  * fix parsing of quoted strings in default args for xacro params (#187 <https://github.com/ros/xacro/issues/187>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 02 May 2018 22:00:00 -0000

ros-crystal-xacro (1.13.0-1bionic) bionic; urgency=high

  * make --inorder processing the default
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 30 Mar 2018 22:00:00 -0000

ros-crystal-xacro (1.12.1-1bionic) bionic; urgency=high

  * #183 <https://github.com/ros/xacro/issues/183>: unicode support for python2 and python3
  * #178 <https://github.com/ros/xacro/issues/178>: extend list of allowed python builtins: min, max, round
  * #182 <https://github.com/ros/xacro/issues/182>: suppress xacro warnings when determining dependencies
  * #151 <https://github.com/ros/xacro/issues/151>: fixes for #149 <https://github.com/ros/xacro/issues/149> and #148 <https://github.com/ros/xacro/issues/148>
  * #157 <https://github.com/ros/xacro/issues/157>: fix #156 <https://github.com/ros/xacro/issues/156> access to undefined target_table
  * #150 <https://github.com/ros/xacro/issues/150>: allow True/False literals in python expressions
  * #159 <https://github.com/ros/xacro/issues/159>: load ROS-related packages on demand, thus becoming more independent from ROS
  * #173 <https://github.com/ros/xacro/issues/173>: allow default values for properties
  * #172 <https://github.com/ros/xacro/issues/172>: fix formatting of XacroException
  * #171 <https://github.com/ros/xacro/issues/171>: fix dependency handling (--deps option)
  * #163 <https://github.com/ros/xacro/issues/163>: full python 3 compatibility
  * Contributors: Robert Haschke, Kartik Mohta, Morgan Quigley, Steven Peters

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 27 Mar 2018 22:00:00 -0000

ros-crystal-xacro (1.12.0-1bionic) bionic; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Mar 2017 23:00:00 -0000

ros-crystal-xacro (1.11.2-1bionic) bionic; urgency=high

  * Convert exception to string in a python2/3 compatible way.
  * Use python2/3 independent check for file type.
  * Contributors: Hans Gaiser, Maarten de Vries

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 26 Feb 2017 23:00:00 -0000

ros-crystal-xacro (1.11.1-1bionic) bionic; urgency=high

  * workaround for xml.dom.minidom issue
  * ensure non-empty error string
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 21 Jun 2016 22:00:00 -0000

ros-crystal-xacro (1.11.0-1bionic) bionic; urgency=high

  * added short option -i as alternative to --inorder
  * refactored main to fix #122, #107
  * added xacro indicator to error message to fix #123

